org.apache.lucene.util

## Class BaseBitSetTestCase<T extends BitSet>

- java.lang.Object
- - org.junit.Assert
  - - org.apache.lucene.util.LuceneTestCase
    - - org.apache.lucene.util.BaseBitSetTestCase<T>

-     public abstract class BaseBitSetTestCase<T extends BitSet>
      extends LuceneTestCase

  Base test case for BitSets.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.LuceneTestCase

      `LuceneTestCase.AwaitsFix, LuceneTestCase.BadApple, LuceneTestCase.Monster, LuceneTestCase.Nightly, LuceneTestCase.Slow, LuceneTestCase.SuppressCodecs, LuceneTestCase.SuppressFileSystems, LuceneTestCase.SuppressFsync, LuceneTestCase.SuppressReproduceLine, LuceneTestCase.SuppressSysoutChecks, LuceneTestCase.SuppressTempFileChecks, LuceneTestCase.ThrowingRunnable, LuceneTestCase.Weekly`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.util.LuceneTestCase

      `assertsAreEnabled, classRules, DEFAULT_LINE_DOCS_FILE, INFOSTREAM, JENKINS_LARGE_LINE_DOCS_FILE, LEAVE_TEMPORARY, MAYBE_CACHE_POLICY, RANDOM_MULTIPLIER, ruleChain, suiteFailureMarker, SYSPROP_AWAITSFIX, SYSPROP_BADAPPLES, SYSPROP_FAILFAST, SYSPROP_MAXFAILURES, SYSPROP_MONSTER, SYSPROP_NIGHTLY, SYSPROP_SLOW, SYSPROP_WEEKLY, TEST_ASSERTS_ENABLED, TEST_AWAITSFIX, TEST_BADAPPLES, TEST_CODEC, TEST_DIRECTORY, TEST_DOCVALUESFORMAT, TEST_LINE_DOCS_FILE, TEST_MONSTER, TEST_NIGHTLY, TEST_POSTINGSFORMAT, TEST_SLOW, TEST_THROTTLING, TEST_WEEKLY, VERBOSE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseBitSetTestCase()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `assertEquals(BitSet set1, T set2, int maxDoc)`
    `abstract T` | `copyOf(BitSet bs, int length)` Create a copy of the given `BitSet` which has `length` bits.
    `void` | `testCardinality()` Test the `BitSet.cardinality()` method.
    `void` | `testClear()` Test the `BitSet.clear(int)` method.
    `void` | `testClearRange()` Test the `BitSet.clear(int,int)` method.
    `void` | `testNextSetBit()` Test `BitSet.nextSetBit(int)`.
    `void` | `testOrDense()` Test `BitSet.or(DocIdSetIterator)` on dense sets.
    `void` | `testOrRandom()` Test `BitSet.or(DocIdSetIterator)` on a random density.
    `void` | `testOrSparse()` Test `BitSet.or(DocIdSetIterator)` on sparse sets.
    `void` | `testPrevSetBit()` Test `BitSet.prevSetBit(int)`.
    `void` | `testSet()` Test the `BitSet.set(int)` method.

    - ### Methods inherited from class org.apache.lucene.util.LuceneTestCase

      `addVirusChecker, assertDeletedDocsEquals, assertDocsAndPositionsEnumEquals, assertDocsEnumEquals, assertDocsSkippingEquals, assertDocValuesEquals, assertDocValuesEquals, assertFieldInfosEquals, assertNormsEquals, assertPointsEquals, assertPositionsSkippingEquals, assertReaderEquals, assertReaderStatisticsEquals, assertStoredFieldEquals, assertStoredFieldsEquals, assertTermsEnumEquals, assertTermsEquals, assertTermsEquals, assertTermsStatisticsEquals, assertTermStatsEquals, assertTermVectorsEquals, asSet, assumeFalse, assumeNoException, assumeTrue, assumeWorkingMMapOnWindows, atLeast, atLeast, callStackContains, callStackContains, callStackContainsAnyOf, closeAfterSuite, closeAfterTest, collate, createTempDir, createTempDir, createTempFile, createTempFile, dumpArray, dumpIterator, ensureSaneIWCOnNightly, expectThrows, expectThrows, expectThrows, expectThrowsAnyOf, expectThrowsAnyOf, getBaseTempDirForTestClass, getDataInputStream, getDataPath, getOnlyLeafReader, getTestClass, getTestName, hasWorkingMMapOnWindows, isTestThread, localeForLanguageTag, maybeChangeLiveIndexWriterConfig, maybeWrapReader, newAlcoholicMergePolicy, newAlcoholicMergePolicy, newBytesRef, newBytesRef, newBytesRef, newBytesRef, newBytesRef, newBytesRef, newDirectory, newDirectory, newDirectory, newDirectory, newDirectory, newField, newField, newFSDirectory, newFSDirectory, newIndexWriterConfig, newIndexWriterConfig, newIndexWriterConfig, newIOContext, newIOContext, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newMaybeVirusCheckingDirectory, newMaybeVirusCheckingFSDirectory, newMergePolicy, newMergePolicy, newMergePolicy, newMockDirectory, newMockDirectory, newMockDirectory, newMockFSDirectory, newMockFSDirectory, newSearcher, newSearcher, newSearcher, newSearcher, newStringField, newStringField, newStringField, newStringField, newTextField, newTextField, newTieredMergePolicy, newTieredMergePolicy, overrideDefaultQueryCache, overrideTestDefaultQueryCache, random, randomLocale, randomTimeZone, rarely, rarely, replaceMaxFailureRule, resetDefaultQueryCache, restoreCPUCoreCount, restoreIndexWriterMaxDocs, restoreSpins, runWithRestrictedPermissions, setIndexWriterMaxDocs, setUp, setupCPUCoreCount, setupSpins, slowFileExists, tearDown, usually, usually, wrapReader`

    - ### Methods inherited from class org.junit.Assert

      `assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertThat, assertThat, assertThrows, assertThrows, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseBitSetTestCase

          public BaseBitSetTestCase()

  - ### Method Detail

    - #### copyOf

          public abstract T copyOf(BitSet bs,
                                   int length)
                            throws IOException

      Create a copy of the given `BitSet` which has `length` bits.
      Throws:
        `IOException`

    - #### assertEquals

          protected void assertEquals(BitSet set1,
                                      T set2,
                                      int maxDoc)

    - #### testCardinality

          public void testCardinality()
                               throws IOException

      Test the `BitSet.cardinality()` method.
      Throws:
        `IOException`

    - #### testPrevSetBit

          public void testPrevSetBit()
                              throws IOException

      Test `BitSet.prevSetBit(int)`.
      Throws:
        `IOException`

    - #### testNextSetBit

          public void testNextSetBit()
                              throws IOException

      Test `BitSet.nextSetBit(int)`.
      Throws:
        `IOException`

    - #### testSet

          public void testSet()
                       throws IOException

      Test the `BitSet.set(int)` method.
      Throws:
        `IOException`

    - #### testClear

          public void testClear()
                         throws IOException

      Test the `BitSet.clear(int)` method.
      Throws:
        `IOException`

    - #### testClearRange

          public void testClearRange()
                              throws IOException

      Test the `BitSet.clear(int,int)` method.
      Throws:
        `IOException`

    - #### testOrSparse

          public void testOrSparse()
                            throws IOException

      Test `BitSet.or(DocIdSetIterator)` on sparse sets.
      Throws:
        `IOException`

    - #### testOrDense

          public void testOrDense()
                           throws IOException

      Test `BitSet.or(DocIdSetIterator)` on dense sets.
      Throws:
        `IOException`

    - #### testOrRandom

          public void testOrRandom()
                            throws IOException

      Test `BitSet.or(DocIdSetIterator)` on a random density.
      Throws:
        `IOException`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.